DRM_MODE_LEGACY_FB_F(9)

NAME
drm_mode_legacy_fb_format - compute drm fourcc code from legacy description

SYNOPSIS

uint32_t drm_mode_legacy_fb_format(uint32_t bpp, uint32_t depth);

ARGUMENTS

bpp
    bits per pixels

depth
    bit depth per pixel

DESCRIPTION

Computes a drm fourcc pixel format code for the given bpp/depth values. Useful in fbdev emulation code, since that deals in those values.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT